Subject: bug#23607: Please apply this patched function to package.el in Emacs 25.

From: [email-masked] (Phillip Lord)
Date: Sun, 24 Jul 2016 16:58:43 +0100

Clément Pit--Claudel <[email-masked]> writes:

> On 2016-07-21 00:40, Stefan Monnier wrote:
>>>> FWIW, I think this will break the dash package which includes
>>>> a dev/ert.el file with autoload cookies in it and those shouldn't be
>>>> placed into the dash-autoloads.el file.
>>> What kind of breakage do you have in mind?
>> 
>> The autoloads for the real ert.el will be overridden by those from
>> dash-autoloads.el which will say that for example that ert-deftest
>> should be autoloaded from "dev/ert.el".
>
> I see; I didn't realize dash had their own copy of ert... I wonder why they do.
> But you're right, this is definitely an issue.

Dash isn't the only package to do this. I've also seen package.el
packaged in other places. Mostly, I think, to support backward
compatability, I think.

Why are dev files being packaged, though? At the moment, I don't think
that they should be.

Phil